# Summary Report

**Summary Report queries** are good for pulling data over custom date ranges, to compare across tests.

## Get raw data

<mark style="color:blue;">`GET`</mark> `https://api.chartbeat.com/mab/htapi/v1/experiments/summary_report/`

**Note:** Response payload can quickly become huge, please use date ranges and limit parameter for a good result set.

#### Query Parameters

| Name                                    | Type   | Description                                                                                                                                                                                                      |
| --------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey (*see note*)                     | string | **NOTE**: Your API key should no longer be set as a query param; instead, [pass it in the HTTP header](https://docs.chartbeat.com/cbp/api/getting-started-with-our-headline-testing-api#required-api-parameters) |
| start<mark style="color:red;">\*</mark> | string | YYYY-MM-DD                                                                                                                                                                                                       |
| end<mark style="color:red;">\*</mark>   | string | YYYY-MM-DD                                                                                                                                                                                                       |
| host<mark style="color:red;">\*</mark>  | string | The site on which you are querying                                                                                                                                                                               |
| tz<mark style="color:red;">\*</mark>    | string | The timezone you'd like to run the query in a valid Olson timezone format, e.g. America/New\_York.                                                                                                               |
| test\_type                              | string | Chose from "headline","image","headline\_and\_image". Defaults to "all" which includes all 3.                                                                                                                    |

{% tabs %}
{% tab title="200 Successful response schema" %}

```json
{
  "status": "string",
  "data": [
    {
      "test_id": "string",
      "test_type": "string",
      "host": "string",
      "domain": "string",
      "path": "string",
      "location": "string",
      "created_at": "2023-07-21T20:21:56.245Z",
      "winner_found_at": "2023-07-21T20:21:56.245Z",
      "stopped_at": "2023-07-21T20:21:56.245Z",
      "num_variants": 0,
      "winning_variant": "string",
      "variant_id": "string",
      "ctr_mean": 0,
      "headline": "string",
      "status": "string",
      "test_duration_sec": 0,
      "sections": "string",
      "created_by": "string"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartbeat.com/cbp/api/headline-testing-api/summary-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
